## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           hyprutils
Version:        0.2.2
Release:        %autorelease
Summary:        Hyprland utilities library used across the ecosystem

License:        BSD-3-Clause
URL:            https://github.com/hyprwm/hyprutils
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(pixman-1)

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description    devel
Development files for %{name}.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license LICENSE
%doc README.md
%{_libdir}/lib%{name}.so.%{version}
%{_libdir}/lib%{name}.so.1

%files devel
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
## START: Generated by rpmautospec
* Sat Sep 21 2024 Pavel Solovev <daron439@gmail.com> - 0.2.2-1
- Update to 0.2.2

* Wed Aug 07 2024 Pavel Solovev <daron439@gmail.com> - 0.2.1-1
- Update to 0.2.1

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 17 2024 Pavel Solovev <daron439@gmail.com> - 0.2.0-1
- Update to 0.2.0

* Tue Jun 25 2024 Pavel Solovev <daron439@gmail.com> - 0.1.5-1
- Update to 0.1.5

* Mon Jun 17 2024 Pavel Solovev <daron439@gmail.com> - 0.1.3-1
- Update

* Thu Jun 13 2024 Pavel Solovev <daron439@gmail.com> - 0.1.2-1
- Update to 0.1.2

* Mon Jun 10 2024 Pavel Solovev <daron439@gmail.com> - 0.1.1-1
- import rhbz#2291087
## END: Generated by rpmautospec
